//--------------------------------------------------------------
// File     : main.c
// Datum    : 09.04.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo vom Scope-Screen
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_scope_screen.h"



int main(void)
{
  SystemInit(); // Quarz Einstellungen aktivieren

  // init vom Scope-Screen
  UB_ScopeScreen_Init();

  // zum test ein Fadenkreuz zeichnen
  UB_ScopeScreen_DrawLine(0,SCOPE_SCREEN_MAXY/2,SCOPE_SCREEN_MAXX,SCOPE_SCREEN_MAXY/2);
  UB_ScopeScreen_DrawLine(SCOPE_SCREEN_MAXX/2,0,SCOPE_SCREEN_MAXX/2,SCOPE_SCREEN_MAXY);

  // zum test einen Kreis zeichnen
  UB_ScopeScreen_DrawCircle(SCOPE_SCREEN_MAXX/2,SCOPE_SCREEN_MAXY/2,35);

  // Screen neu zeichnen
  UB_ScopeScreen_RedrawScreen();

  while(1)
  {
    // nichts zu tun
  }
}

